Slurm API(3)

NAME
slurm_clear_trigger, slurm_free_trigger_msg, slurm_get_triggers, slurm_set_trigger - Slurm event trigger management functions

SYNTAX

#include <slurm/slurm.h>

int slurm_set_trigger (
    trigger_info_t *trigger_info
);

int slurm_clear_trigger (
    trigger_info_t *trigger_info
);

int slurm_get_triggers (
    trigger_info_msg_t **trigger_info_msg
);

int slurm_free_trigger (
    trigger_info_msg_t *trigger_info_msg
);

ARGUMENTS

trigger_info
    Information about one event trigger including trigger ID, type, time offset, etc. See slurm.h for details.

trigger_info_msg
    A data structure including an array of trigger_info structures plus their count. See slurm.h for details.

DESCRIPTION

slurm_set_trigger Create a new event trigger. Note that any trigger ID specified in trigger_info is unused.

slurm_clear_trigger Clear or remove existing event triggers. If a trigger ID is specified then only that one trigger will be cleared. If a job ID or node name is specified, then all triggers associated with that resource are cleared.

slurm_get_triggers Get information about all currently configured event triggers. To avoid memory leaks, always follow this with a call to the slurm_free_trigger function.

slurm_free_trigger Release the memory allocated for the array returned by the slurm_get_triggers function.

RETURN VALUE

SLURM_SUCCESS is returned on successful completion, otherwise an error code is returned as described below.

ERRORS

EINVAL Invalid argument

ESLURM_ACCESS_DENIED Attempt by non-priviledged user to set an event trigger.

ESLURM_ALREADY_DONE Attempt to set an event trigger for a job which has already completed.

ESLURM_INVALID_NODE_NAME Attempt to set an event trigger for a node name which is invalid.

ESLURM_INVALID_JOB_ID the specified job id does not exist.

NOTE
These functions are included in the libslurm library, which must be linked to your process for use (e.g. "cc -lslurm myprog.c").

COPYING
Copyright (C) 2010 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). CODE-OCEC-09-009. All rights reserved.

This file is part of SLURM, a resource management program. For details, see <http://www.schedmd.com/slurmdocs/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO

strigger(1), slurm_get_errno(3), slurm_perror(3), slurm_strerror(3)